# © 2019 Le Filament (<http://www.le-filament.com>)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).

from odoo import fields, models


class FinancialContract(models.Model):
    _inherit = "financial.contract"

    deal_tool_id = fields.Many2one(
        comodel_name="financial.deal.tool",
        string="Deal Tool",
        ondelete="restrict",
    )
    deal_id = fields.Many2one(
        comodel_name="financial.deal",
        string="Deal",
        related="deal_tool_id.deal_id",
        store=True,
    )

    # ------------------------------------------------------
    # Computed fields / Search Fields
    # ------------------------------------------------------
